package formules;import fr.ifremer.isisfish.entities.*;import org.codelutin.math.matrix.*;import fr.ifremer.isisfish.types.Date;import fr.ifremer.isisfish.types.Month;import fr.ifremer.isisfish.types.RangeOfValues;import fr.ifremer.isisfish.types.TimeUnit;import java.util.*;public class fr_ifremer_isisfish_entities_Equation_1212053151597_0_5749995279544031 implements fr.ifremer.isisfish.equation.PopulationMeanWeight {public double compute(fr.ifremer.isisfish.simulator.SimulationContext context, fr.ifremer.isisfish.entities.PopulationGroup group) throws Exception {if (group == null) return 0;
  switch (group.getId()) {
    case 0: return 0.17;
    case 1: return 0.45;
    case 2: return 0.82;
    case 3: return 1.23;
    case 4: return 1.65;
    case 5: return 2.06;
    case 6: return 2.44;
    case 7: return 2.78;
    case 8: return 3.08;
    case 9: return 3.34;
    case 10: return 3.57;
    case 11: return 3.75;
    case 12: return 3.91;
    case 13: return 4.04;
    case 14: return 4.15;
    case 15: return 4.24;
    case 16: return 4.57;
    default: return 0;
  }

}
}
